/**
 * 比较常用的工具模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 延迟
 */
export declare function delay(ms?: number): Promise<void>;
/**
 * 替换所有字符串
 *
 * 不支持替换\\n
 */
export declare function replaceAll(value: string, searchValue: string, replaceValue: string): string;
/**
 * uuidv4
 */
export declare function uuid(): string;
/**
 * 拦截对象方法的调用
 * @param handler Reflect.apply(target, thisArg, argArray);
 */
export declare function interceptMethodCall(obj: object, handler: (target: any, p: string | symbol, thisArg: any, argArray: any[]) => Promise<any>): object;
/**
  * 生成insert into sql语句
  */
export declare function generateInsertSql(tableName: string, entity: object): string;
/**
 * 生成replace into sql语句
 *
 * 自动跳过syncTime
 */
export declare function generateReplaceSql(tableName: string, entity: object, excludeFields?: string[]): string;
/**
 * 简单的节流器，单位时间内只执行一次
 *
 * 参考Quasar
 * @param func 要执行的方法
 * @param ms 时间(毫秒),默认一分钟
 */
export declare function throttle1(func: (...args: any[]) => void, ms?: number): (this: any, ...args: any[]) => void;
/**
 * 获取base64字符串的源文件大小
 */
export declare function getBase64FileSize(base64: string): number;
/**
 * 下载图片并转base64字符串
 */
export declare function downloadImg2Base64(imgUrl: string): Promise<any>;
